Bug 182533 - Firefox Printing enhancement (pango)
Firefox Printing enhancement (pango)
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
: FutureFeature, i18n
Depends On: firefoxprinting
Blocks: 182695 183390
  Show dependency treegraph
Reported: 2006-02-22 21:19 EST by Leon Ho
Modified: 2007-11-30 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-09 04:10:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The patch (150.66 KB, patch)
2006-10-21 12:42 EDT, Behdad Esfahbod
no flags Details | Diff
updated patch (150.92 KB, patch)
2006-10-23 14:18 EDT, Behdad Esfahbod
no flags Details | Diff

  None (edit)
Comment 23 Behdad Esfahbod 2006-10-21 12:42:43 EDT
Created attachment 139059 [details]
The patch

Attaching the patch here for testing.  I'm still performing some final tweaks
on it, but that's basically it.

What I've not tested:

  - Positioned glyphs that require non-zero x or y offset.

What I'm still doing:

  - Deciding what the right size for generated bitmap fonts should be.
Comment 24 Behdad Esfahbod 2006-10-21 12:44:18 EDT
Sample outputs available here:

Comment 25 Behdad Esfahbod 2006-10-23 14:18:13 EDT
Created attachment 139151 [details]
updated patch

Ok, this is supposed to fix the bitmap sizing issue, but I get slightly
spaced-out bitmap fonts currently.  For some reason the bitmap is rendered at
100dpi instead of 72dpi that it should be.  This looks more like a
pango/fontconfig issue to me.  So, this patch can go in.
Comment 26 Behdad Esfahbod 2006-10-23 18:50:39 EDT
Upstreamed: https://bugzilla.mozilla.org/show_bug.cgi?id=357733
Comment 29 A S Alam 2006-10-30 05:07:30 EST
bug 212336 (Indic][Print] gedit is print square box, when try to print ZWJ in
word (Ref bug 211574)) is effecting this bug.. 
Comment 30 Paul Gampe 2006-10-30 17:32:02 EST
Hi Alam, This bug was for Firefox to switch to Pango for print rendering which 
is now complete.  Is it OK to move this bug back to modified as that part is 
complete and can be tested independent of specific rendering bugs you may find 
in Pango.

I think it is correct that you continue to open bugs against pango as you have 
done for bug 212336 etc.
Comment 32 Matthias Clasen 2006-11-02 20:36:17 EST
Moving back to MODIFIED as per comment #30

Note You need to log in before you can comment on or make changes to this bug.